Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.novadeck.jxla.tools
Class Utils

    java.lang.Object
      org.novadeck.jxla.tools.Utils

    public class Utils

extends Object

Field Summary
`static String` | `UA_BOT` defines output value representing bot simulating browser
`static String` | `UA_IE` defines output value representing Internet Explorer browser
`static String` | `UA_KONQUEROR` defines output value representing Konqueror browser
`static String` | `UA_LYNX` defines output value representing Lynx browser
`static String` | `UA_NETBOX` defines output value representing NetBox ( NetGem Setup Box) browser
`static String` | `UA_NETSCAPE` defines output value representing Netscape browser
`static String` | `UA_OPERA` defines output value representing Opera browser
`static String` | `UA_PHP` defines output value representing php simulating browser

Constructor Summary
`Utils()`

Method Summary
`static boolean` | `canOutputHit(String uri)`
`static org.apache.oro.text.regex.Pattern` | `compileRE(String regexp)` Compile a regular expression into pattern
`static String` | `getUserAgent(String s)`
`static boolean` | `isComment(String s)`
`static boolean` | `isEmpty(String s)`
`static boolean` | `match(String str, org.apache.oro.text.regex.Pattern p)` test if a string match a pattern ( using regexp )

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UA_IE

    public static final String UA_IE

  defines output value representing Internet Explorer browser

  See Also:
    Constant Field Values

### UA_OPERA

    public static final String UA_OPERA

  defines output value representing Opera browser

  See Also:
    Constant Field Values

### UA_KONQUEROR

    public static final String UA_KONQUEROR

  defines output value representing Konqueror browser

  See Also:
    Constant Field Values

### UA_NETSCAPE

    public static final String UA_NETSCAPE

  defines output value representing Netscape browser

  See Also:
    Constant Field Values

### UA_LYNX

    public static final String UA_LYNX

  defines output value representing Lynx browser

  See Also:
    Constant Field Values

### UA_BOT

    public static final String UA_BOT

  defines output value representing bot simulating browser

  See Also:
    Constant Field Values

### UA_PHP

    public static final String UA_PHP

  defines output value representing php simulating browser

  See Also:
    Constant Field Values

### UA_NETBOX

    public static final String UA_NETBOX

  defines output value representing NetBox ( NetGem Setup Box) browser

  See Also:
    Constant Field Values

Constructor Detail

### Utils

    public Utils()

Method Detail

### compileRE

    public static org.apache.oro.text.regex.Pattern compileRE(String regexp)

  Compile a regular expression into pattern

  Parameters:
    `regexp` - the regular expression to convert
  Returns:
    null if an error ocurres, a regexp compiled else

### match

    public static boolean match(String str,
                                org.apache.oro.text.regex.Pattern p)

  test if a string match a pattern ( using regexp )

  Parameters:
    `str` - the string to test
    `p` - the pattern to match
  Returns:
    true or false

### isEmpty

    public static final boolean isEmpty(String s)

### isComment

    public static final boolean isComment(String s)

### getUserAgent

    public static String getUserAgent(String s)

### canOutputHit

    public static final boolean canOutputHit(String uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.